deployment-tin:/srv/mediawiki-staging/wmf-config/event-schemas is out of sync
Closed, ResolvedPublic

Description

krenair@deployment-tin:/srv/mediawiki-staging$ git diff
diff --git a/wmf-config/event-schemas b/wmf-config/event-schemas
index 4db9d40d2..b50f4e076 160000
--- a/wmf-config/event-schemas
+++ b/wmf-config/event-schemas
@@ -1 +1 @@
-Subproject commit 4db9d40d28d61c53cdbca77059d9a2a6e714af89
+Subproject commit b50f4e0763f4bfa8abf1c4f3afd43cd6067652af
Krenair created this task.Jul 10 2018, 7:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2018, 7:54 PM

CCing some people who have touched this submodule before

I am not aware of having voluntarily touched that config before. Perhaps the 'scap' tests? Or maintenance scripts?

I am not aware of having voluntarily touched that config before.

https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/300880/

For the search part of this, we do reference the schemas in there at runtime to encode some logging. That schema hasn't changed in some time (year+) though, so I'm pretty sure no one on the search team would have pushed an update.

https://phabricator.wikimedia.org/source/mediawiki-config/history/master/wmf-config/event-schemas/

Apparently this is something a team manages and that not always the latest commit is the prefered one as per 068ed6ea355c.

EBernhardson added a comment.EditedJul 30 2018, 8:35 PM

That wasn't reverted because it was the wrong one, it was reverted because bumping that submodule was completely unrelated to the patch being deployed. The inclusion of a submodule bump in the prior patch was unintentional and only noticed when we went to deploy it.

Pinging @Pchelolo as he may use this repo for testing purposes.

Pchelolo added a subscriber: Ottomata.

In production, the event-schemas are deployed automatically as soon as a patch is merged in gerrit in this repo. I don't have any idea why that shouldn't be done the same way in labs. @Ottomata was setting up this repo, so pinging him

I'm assuming whoever set up the submodule in mediawiki-config forgot to add a git submodule update or something to the script that jenkins runs in beta to keep that repo up to date

I'm not sure I knew this repo was even in wmf-config. Not sure why it is there...I'm pretty sure the EventBus extension doesn't use it. It might only be here for @EBernhardson's Avro schema usage...which I think we want to eventually deprecate (but it might take a while...)

If this submodule is not referenced by anything else other than mediawiki then there should be no reason to bump it in deployment-prep, I'd be for resetting it to 4db9d40d28d61c53cdbca77059d9a2a6e714af89 to match prod.
Side note: I'm pretty sure that https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/300880 was unnecessary. This submodule in mw-config is not meant to be updated whenever a change to it is applied, only when schema used by MW is updated.
Then to the question: why event-schema was bumped directly on deployment-tin? I have no clue, so if nobody requires it I'd be for cleaning it and align it to prod.

Mentioned in SAL (#wikimedia-releng) [2018-08-01T10:08:31Z] <dcausse> deployment-prep T199270: fix dirty diff on wmf-config/event-schema submodule on deployment-tin and deployment-deploy01

dcausse closed this task as Resolved.Aug 1 2018, 10:09 AM
dcausse claimed this task.